IEDIT_ADD_INSTRUCTION(3)

FUNCTION
iedit_add_instruction - Add an image edit instruction to a list.

SYNOPSIS
#include <karma_iedit.h>

flag iedit_add_instruction

(KImageEditList ilist, unsigned int instruction_code, edit_coord *coords, unsigned int num_coords, double intensity[2])

DESCRIPTION
This routine will add a single edit instruction to a managed image edit instruction list. The <<add_func>> function registered for this instruction list will be called at a future time with a copy of the instruction to be added.

ilist
    The instruction list.

instruction_code
    The instruction code.

coords
    The instruction co-ordinates.

num_coords
    The number of co-ordinates.

intensity
    The intensity value of the instruction.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/